org.apache.http.impl.client

## Class TargetAuthenticationStrategy

- java.lang.Object
- - org.apache.http.impl.client.TargetAuthenticationStrategy

- All Implemented Interfaces:
    AuthenticationStrategy

      @Contract(threading=IMMUTABLE)
      public class TargetAuthenticationStrategy
      extends Object

  默认`AuthenticationStrategy`代理主机身份验证。
  从以下版本开始：
    4.2

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TargetAuthenticationStrategy` | `INSTANCE`

  - ### 构造方法摘要

    构造方法
    Constructor and Description
    `TargetAuthenticationStrategy()`

  - ### 方法摘要

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `authFailed(HttpHost authhost, AuthScheme authScheme, HttpContext context)` 在不成功的身份验证的情况下调用回调。
    `void` | `authSucceeded(HttpHost authhost, AuthScheme authScheme, HttpContext context)` 在成功验证的情况下调用回调。
    `Map<String,Header>` | `getChallenges(HttpHost authhost, HttpResponse response, HttpContext context)` 生成挑战地图auth-scheme =>标题条目。
    `boolean` | `isAuthenticationRequested(HttpHost authhost, HttpResponse response, HttpContext context)` 确定给定的HTTP响应响应是否表示由于身份验证失败而发回的身份验证挑战。
    `protected boolean` | `isCachable(AuthScheme authScheme)`
    `Queue<AuthOption>` | `select(Map<String,Header> challenges, HttpHost authhost, HttpResponse response, HttpContext context)` 选择所有可用的一个认证挑战，并创建并生成能够处理该挑战的`AuthOption`实例。

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### 字段详细信息

    - #### INSTANCE

          public static final TargetAuthenticationStrategy INSTANCE

  - ### 构造方法详细信息

    - #### TargetAuthenticationStrategy

          public TargetAuthenticationStrategy()

  - ### 方法详细信息

    - #### isAuthenticationRequested

          public boolean isAuthenticationRequested(HttpHost authhost,
                                          HttpResponse response,
                                          HttpContext context)

      描述从接口`AuthenticationStrategy`复制
      确定给定的HTTP响应响应是否表示由于身份验证失败而发回的身份验证挑战。
      Specified by:
        `isAuthenticationRequested`在接口 `AuthenticationStrategy`
      参数
        `authhost` - 认证主机。
        `response` - HTTP响应。
        `context` - HTTP上下文。
      结果
        `true`如果需要用户认证， `false`否则。

    - #### getChallenges

          public Map<String,Header> getChallenges(HttpHost authhost,
                                         HttpResponse response,
                                         HttpContext context)
                                           throws MalformedChallengeException

      生成挑战地图auth-scheme =>标题条目。
      Specified by:
        `getChallenges`在接口 `AuthenticationStrategy`
      参数
        `authhost` - 认证主机。
        `response` - HTTP响应。
        `context` - HTTP上下文。
      结果
        map：key = lower-cased auth-scheme name，value =包含挑战的头文件
      异常
        `MalformedChallengeException` - 如果其中一个认证挑战无效或畸形。

    - #### select

          public Queue<AuthOption> select(Map<String,Header> challenges,
                                 HttpHost authhost,
                                 HttpResponse response,
                                 HttpContext context)
                                   throws MalformedChallengeException

      描述从接口`AuthenticationStrategy`复制
      从所有可用的内容中选择一个认证挑战，并创建并生成能够处理该挑战的`AuthOption`实例。
      Specified by:
        `select`在接口 `AuthenticationStrategy`
      参数
        `challenges` - 挑战的集合。
        `authhost` - 认证主机。
        `response` - HTTP响应。
        `context` - HTTP上下文。
      结果
        可用于认证的身份验证身份验证方案。 可以是空的
      异常
        `MalformedChallengeException` - 如果其中一个身份验证挑战无效或格式错误。

    - #### authSucceeded

          public void authSucceeded(HttpHost authhost,
                           AuthScheme authScheme,
                           HttpContext context)

      描述从接口`AuthenticationStrategy`复制
      在成功验证的情况下调用回调。
      Specified by:
        `authSucceeded`在接口 `AuthenticationStrategy`
      参数
        `authhost` - 认证主机。
        `authScheme` - 使用认证方案。
        `context` - HTTP上下文。

    - #### isCachable

          protected boolean isCachable(AuthScheme authScheme)

    - #### authFailed

          public void authFailed(HttpHost authhost,
                        AuthScheme authScheme,
                        HttpContext context)

      说明从接口`AuthenticationStrategy`复制
      在不成功的身份验证的情况下调用回调。
      Specified by:
        `authFailed`在接口 `AuthenticationStrategy`
      参数
        `authhost` - 认证主机。
        `authScheme` - 使用认证方案。
        `context` - HTTP context.

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585